<?php
require_once "../config.php";
session_start();
if ($_SESSION['user_status'] == "logged_in" && $_SESSION['user_type'] == "admin") { ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->        <!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>        <![endif]-->
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#">All Bedrooms</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-3">
						<div class="row">
							<div class="col-md-12">
								<?php if (isset($_SESSION['error_msg'])) {
									echo $_SESSION['error_msg'];
									unset($_SESSION['error_msg']);
								}
								if (isset($_SESSION['success_msg'])) {
									echo $_SESSION['success_msg'];
									unset($_SESSION['success_msg']);
								} ?>
								<div class="box-inn-sp">
									<?php
									$sql = "SELECT * FROM bedrooms ";
									$result = $connection->query($sql);
									if ($result->num_rows > 0) {
										?>
										<div class="inn-title">
											<h4 class="txt-center">All Bedrooms</h4>
										</div>
										<div class="tab-inn">
											<div class="table-responsive table-desi">
												<table class="table table-hover">
													<thead>
													<tr>
														<th>Id</th>
														<th>Bedrooms Name</th>
														<!--<th>Image</th>-->
														<!--<th>Replace Image</th>-->
														<th>Status</th>
														<th>Save</th>
														<th>Delete</th>
													</tr>
													</thead>
													<tbody>
													<?php $i=1; while ($row = $result->fetch_array()) { ?>
														<tr id="myDIV">
															<form action="include/update_bedrooms.php" method="post" enctype="multipart/form-data">
																<td><?php echo $i++; ?></td>
																<td>
																	<input type="hidden" value="<?php echo $row['id']; ?>" name="bedrooms_id">
																	<textarea name="bedrooms_name" rows="5" cols="20" style="width: 150px;"><?php echo strtoupper($row['name']); ?></textarea>      
																	<!--<input type="text" value="<?php //echo $row['name']; ?>" size="3" name="category_name">-->
																</td>
																<!--<td>-->
																<!--	<img class="img-preview" src="../../img/<?php //echo $row['photo_link']; ?>">-->
																<!--</td>-->
																<!--<td>-->
																<!--	<input type="file" name="newcatImage">-->
																<!--</td>-->
																<td>
																	<select name="status" id="status" class="browser-default">
    																	<option value="A" <?php echo $row['status'] == "A" ? "Selected" : ""; ?>>Active</option>
    																	<option value="I" <?php echo $row['status'] == "I" ? "Selected" : ""; ?>>In Active</option>
    																	
																	</select>
																</td>
																<td>
																	<input type="submit" name="submit_button" value="Save"
																	       class="btn waves-button-input">
																</td>
																<td>
																	<a href="include/delete_bedrooms.php?id=<?php echo $row['id']; ?>" data-confirm="Are you sure you want to delete this Bedrooms">
																		<i class="fa fa-trash-o" aria-hidden="true"></i>
																	</a>
																</td>
																
															</form>
														</tr>
													<?php } ?>
													</tbody>
												</table>
											</div>
										</div>
									<?php } else { ?>
										<h3 class="text-center">Sorry, there are no Bedrooms to display to create one
											<a href="add_bedrooms.php">click here</a>.
										</h3>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		
		<script>
		$(document).on('click', ':not(form)[data-confirm]', function(e){
			if(!confirm($(this).data('confirm'))){
			  e.stopImmediatePropagation();
			  e.preventDefault();
				}
		});
		</script>
	</body>
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>