<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
//header('Access-Control-Allow-Credentials: true');

date_default_timezone_set("Asia/Kolkata");
require_once 'include/config.php';

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();
$cart_item = "";

function doItemCalc($price, $quantity, $gst, $couponDiscount, $firstOrder, $connection) {
	$total = array();
	$firstOrderDiscount = NULL;
	
	$isGSTEnabled = $connection->query("SELECT * FROM config WHERE name = 'gst_enable' AND status = 'A'")->fetch_assoc()['value'];
	
	if ($firstOrder === true) {
		$firstOrderDiscount = 10;
		$firstOrderDiscount = 0;
	}
	
	$total['item_price'] = $price;
	$total['item_total_price'] = $price * $quantity;
	
	if ($firstOrderDiscount) {
		$total['item_total_price'] = $total['item_total_price'] - (($total['item_total_price'] / 100) * $firstOrderDiscount);
	}
	
	if ($couponDiscount) {
		$total['item_discount_amount'] = ($total['item_total_price'] / 100) * $couponDiscount;
		$total['item_total_after_discount'] = $total['item_total_price'] - (($total['item_total_price'] / 100) * $couponDiscount);
	} else {
		$total['item_discount_amount'] = 0;
		$total['item_total_after_discount'] = $total['item_total_price'];
	}
	
	if($isGSTEnabled == "true") {
		$total['item_gst_amount'] = (($total['item_total_after_discount'] / 100) * $gst);
		$total['item_total_after_gst'] = $total['item_total_after_discount'] + (($total['item_total_after_discount'] / 100) * $gst);
	} else {
		$total['item_gst_amount'] = 0;
		$total['item_total_after_gst'] = $total['item_total_after_discount'];
	}
	
	return $total;
}

function findCartTotal($cart) {
	$totalAmount = 0;
	foreach ($cart as $cart_item) {
		
		$p_quantity = $cart_item->product_quantity;
		$p_price = $cart_item->product_price;
		$product_amount = $cart_item->product_amount;
		
		$totalAmount += $product_amount;
	}
	return $totalAmount;
}


if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	/*** $decoded->data will have everything personal ***/
	/*** $decoded->cart will have cart items in it ***/
	/*** $decoded->coupon will have all the coupon details if any ***/
	
	$name = htmlspecialchars($connection->real_escape_string($decoded->data->name));
	$walletUsername = htmlspecialchars($connection->real_escape_string($decoded->data->walletUsername));
	$walletPhone = htmlspecialchars($connection->real_escape_string($decoded->data->walletPhone));
	$walletEmail = htmlspecialchars($connection->real_escape_string($decoded->data->walletEmail));
	$email = htmlspecialchars($connection->real_escape_string($decoded->data->email));
	$phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));
	$address = htmlspecialchars($connection->real_escape_string($decoded->data->address));
	$pincode = htmlspecialchars($connection->real_escape_string($decoded->data->pincode));
	$uniqueId = htmlspecialchars($connection->real_escape_string($decoded->data->uniqueId));
	$amount = (float)htmlspecialchars($connection->real_escape_string($decoded->data->total));
	$payment_method = htmlspecialchars($connection->real_escape_string($decoded->data->payment_method));
	$type = htmlspecialchars($connection->real_escape_string($decoded->data->type));
	$order_type = htmlspecialchars($connection->real_escape_string($decoded->data->order_type));
	$date1 = htmlspecialchars($connection->real_escape_string($decoded->data->date));
	$time1 = htmlspecialchars($connection->real_escape_string($decoded->data->time));

	$guest_checkout = htmlspecialchars($connection->real_escape_string($decoded->data->guest_checkout));
	$couponCode = htmlspecialchars($connection->real_escape_string($decoded->coupon->coupon_code));
	$delivery_charges = htmlspecialchars($connection->real_escape_string($decoded->data->delivery_charges));
	$appType = htmlspecialchars($connection->real_escape_string($decoded->data->appType));
	
	// $isFirstOrder = $connection->query("SELECT * FROM users WHERE phone = '$phone'")->fetch_assoc()
	// ['discounted_app_order'];
	
	// $isFirstOrder = $isFirstOrder === "N" ? true : false;
	// firstOrderOrdered($phone, $connection);
	
	// $totalDeliveryCharges = 0;
	// $itemDeliveryCharges = 0;
	
	$today = date('Y-m-d');
	$order_date = date('Y-m-d H:i:s');
	
	$soProceed = false;
	
	$couponDiscount = 0;
	$totalAmount = 0;
	$coupon = null;
	
	
	
	if (($payment_method == "wallet" && $guest_checkout == "true") || (empty($walletUsername) && $payment_method == "wallet")) {
		$response = array(
			"status" => 5,
			"msg" => "please select payment method again",
		);
		echo json_encode($response);
		die();
	}
	
	// if (!empty($couponCode)) {
		// $isCoupon = $connection->query("SELECT * FROM coupons WHERE coupon_code = '$couponCode'
		// AND expiry_date >= '$today' AND status = 'A'");
		// $coupon = $isCoupon->fetch_assoc();
		
		// if ($coupon['min_limit'] <= findCartTotal($decoded->cart)) {
			// $couponDiscount = $coupon['total_discount'];
		// }
	// }
	
	if (!empty($name) && !empty($phone) && !empty($email) && !empty($address) && !empty($uniqueId) && !empty($amount)) {
		
		foreach ($decoded->cart as $cart_item) {
			
			$p_name = $cart_item->product_name;
			$product_amount = $cart_item->product_amount;
			// $p_price = $cart_item->product_price;
			// $p_code = $cart_item->product_code;
			// $p_color = $cart_item->product_color;
			// $p_size = $cart_item->product_size;
			// $p_gst = $cart_item->product_gst;
			// $p_combo = $cart_item->combo_product;
			// $p_vendor_phone = $cart_item->product_vendor_phone;
			
			// $productDetails = $connection->query("SELECT * FROM products WHERE product_code = '$p_code'")->fetch_assoc();
			
			/*** updating product quantity after ordered ***/
		//	updateProductQuantity($connection, $p_code, $p_size, $p_quantity, $productDetails);
			
			// $category_detail = $connection->query("SELECT * FROM categories WHERE category_code = '$productDetails[category_code]'")
				// ->fetch_assoc();
				
			// $productDeliveryCharges = $connection->query("SELECT * FROM delivery_charges WHERE
				// delivery_type = '$productDetails[delivery_type]'")->fetch_assoc();
			
			// $itemDeliveryCharges = calculateDeliveryCharges($cart_item, $productDeliveryCharges, $payment_method);
			// $totalDeliveryCharges += calculateDeliveryCharges($cart_item, $productDeliveryCharges, $payment_method);
			
			// $item_total_amount = doItemCalc($p_price, $p_quantity, $p_gst, $couponDiscount, $isFirstOrder, $connection);
			// $all_items_total_after_gst += $item_total_amount['item_total_after_gst'];
			// $all_item_total_without_coupon_gst += $item_total_amount['item_total_price'];
			
			$sql .= "INSERT INTO order_details (name, price, uniqueId, transactionId, phone,order_date,booking_date,booking_time) VALUES ('$p_name', '$product_amount','$uniqueId', '$uniqueId', '$phone','$order_date','$date1','$time1');";
		}
		
		// if ($coupon['min_limit'] <= $totalAmount) {
			// $withoutDiscount = $totalAmount;
			// $totalAmount = $totalAmount - ($totalAmount / $couponDiscount);
		// } else {
			// $withoutDiscount = $totalAmount;
			// $totalAmount = $totalAmount;
			// $couponDiscount = 0;
		// }

		// $totalAmount = $all_items_total_after_gst;
		// $withoutDiscount = $all_item_total_without_coupon_gst;
		// $totalAmount = $totalAmount + $totalDeliveryCharges;
		
		if ($payment_method === "pay_u") {
			
			// $sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount,
					// total_without_coupon, gift_wrap, gift_wrap_charges, coupon_discount, coupon_code, delivery_charges, uniqueId,
					// payment_status, order_status, txnid, type, order_type, reward, app_type, order_date) VALUES('$walletUsername', '$name', '$email','$address','$pincode','Pay U','$phone', '$totalAmount','$withoutDiscount','', '','$couponDiscount',
					// '$couponCode','$totalDeliveryCharges','$uniqueId','Not Started','Waiting Payment', '$uniqueId','App','Shopping','0','$appType','$order_date');";
					
					$sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount, uniqueId,
					payment_status, order_status, txnid, type, order_type, app_type, order_date)
                    
                    VALUES('$walletUsername','$name', '$email','$address','$pincode','Pay U','$phone', '$product_amount', '$uniqueId','Not Started','Waiting Payment', '$uniqueId', 'App','Shopping', '$appType','$order_date');";
			
			$soProceed = true;
			
		} elseif ($payment_method === "wallet") {
			
			$haveBalance = $connection->query("SELECT * FROM user_wallet WHERE phone ='$walletPhone' AND
				username = '$walletUsername'");
			
			if ($haveBalance->num_rows === 1) {
				
				$walletDetails = $haveBalance->fetch_assoc();
				$currentBalance = $walletDetails['balance'];
				
			if($currentBalance > 0){	
				
				if ($currentBalance >= $product_amount) {
					
					// $sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount,
					// total_without_coupon, gift_wrap, gift_wrap_charges, coupon_discount, coupon_code, delivery_charges, uniqueId,
					// payment_status, order_status, txnid, type, order_type, reward, app_type, order_date) VALUES('$walletUsername', '$name', '$email','$address','$pincode','Wallet','$phone', '$totalAmount','$withoutDiscount','','', '$couponDiscount', '$couponCode','$totalDeliveryCharges','$uniqueId','success','In Progress', '$uniqueId','App','Shopping','0', '$appType','$order_date');";
					
					$sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount, uniqueId,
					payment_status, order_status, txnid, type, order_type, app_type, order_date)
                    
                    VALUES('$walletUsername','$name', '$email','$address','$pincode','COD','$phone', '$product_amount', '$uniqueId','Cash On Delivery','In Progress', '$uniqueId', 'App','Shopping', '$appType','$order_date');";
			
					
					
					
					
					$sql .= "UPDATE user_wallet SET balance = balance - '$product_amount' WHERE phone = '$walletPhone' AND
						username = '$walletUsername';";
					
					$soProceed = true;
				} else {
					
					$payment_method = "combo";
					
					$sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount,
					total_without_coupon, gift_wrap, gift_wrap_charges, coupon_discount, coupon_code, delivery_charges, uniqueId,
					payment_status, order_status, txnid, type, order_type, reward, app_type, order_date, wallet_paid) VALUES('$walletUsername', '$name', '$email','$address','$pincode','combo','$phone', '$totalAmount','$withoutDiscount','','', '$couponDiscount', '$couponCode','$totalDeliveryCharges','$uniqueId','success','In Progress', '$uniqueId','App','Shopping','0', '$appType','$order_date' ,'$currentBalance');";
					
					$newPaidBalance = $total - $currentBalance ;
					
					$sql .= "UPDATE user_wallet SET balance = 0 WHERE phone = '$walletPhone' AND
						username = '$walletUsername';";
					
					$soProceed = true;
					
					
				
				}
			} else {
				$soProceed = false;
				$response = array(
					'status' => 4,
					'msg' => "NO wallet account found.",
				);
			}
		}
		} elseif ($payment_method == "cod") {
			
			
			
			$sql .= "INSERT INTO temporder (username, name, email, address, pincode, payment_method, phone, amount, uniqueId,
					payment_status, order_status, txnid, type, order_type, app_type, order_date)
                    
                    VALUES('$walletUsername','$name', '$email','$address','$pincode','COD','$phone', '$product_amount', '$uniqueId','Cash On Delivery','In Progress', '$uniqueId', 'App','Shopping', '$appType','$order_date');";
			
			$soProceed = true;
		}
		
		if ($soProceed === true) {
			
			$query = $connection->multi_query($sql);
			
			if ($query === true) {
				$response = array(
					"status" => 1,
					"msg" => "Success",
					"uniqueId" => $uniqueId,
					"payment" => $payment_method,
					"orderId" => $connection->insert_id,
				);
			} else {
				$response = array(
					"status" => 2,
					"msg" => "unexpected error",
				);
			}
			
		}
	} else {
		$response = array(
			"status" => 0,
			"msg" => "empty fields",
		);
	}
} else {
	$response = array(
		"status" => 99,
		"msg" => "unauthorised access",
	);
}
echo json_encode($response);


// if ($payment_method === "cod" || $payment_method === "wallet") {
	// orderSuccessfulMail($uniqueId, $connection);
// }