<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
	//Receive the RAW post data.
	$content = trim(file_get_contents("php://input"));
	$decoded = json_decode($content);
	
	$product_code = htmlspecialchars($connection->real_escape_string($decoded->data->code));
	
	if (!empty($product_code)) {
		
		$sql = "SELECT * FROM ratings WHERE type = 'P' AND product_code = '$product_code' AND rating_status = 'A'";
		$query = $connection->query($sql);
		
		$fetchAverageRating = $connection->query("SELECT avg(rating) FROM ratings WHERE type = 'P'
				AND product_code = '$product_code' AND rating_status = 'A'")->fetch_array();
		
		if ($query->num_rows >= 1) {
			
			$response = array(
				"status" => 1,
				"msg" => "success",
				"totalReviews" => $query->num_rows,
				"averageRating" => round($fetchAverageRating[0], 2),
			);
			
			$i = 0;
			while ($row = $query->fetch_array()) {
				$response['ratings'][$i] = $row;
				$response['ratings'][$i]['pretty_date'] = date('d M Y', strtotime($row['rating_date']));
				$i++;
			}
			
		} else {
			$response = array(
				"status" => 2,
				"msg" => "No rating found for the following product."
			);
		}
	} else {
		$response = array(
			"status" => 0,
			"msg" => "empty product code",
		);
	}
} else {
	$response = array(
		'status' => 99,
		'msg' => "unauthorised request",
	);
}
echo json_encode($response);